# CMxInternationalizedString Class

Namespace: `ArchestrA.Toolkit`

CMxInternationalizedString is derived from CMxCommon and provides support for Internationalized string Attributes.

**Syntax**

```csharp
public class CMxInternationalizedString : CMxCommon
```

## CMxInternationalizedString Properties

### Value Property

Provides a property to get and set the value as an MxDataType.

**Syntax**

```csharp
public MxDataType Value { get; set; }
```

**Returns**

MxDataType

### Locale Property

Provides a method return a string of the default value.

**Syntax**

```csharp
public int Locale { get; set; }
```

**Returns**

int

## CMxInternationalizedString Constructors

### CMxInternationalizedString Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxInternationalizedString ();
```

### CMxInternationalizedString Constructor CMxValue

Provides a constructor that initializes the class with a CMxValue default Value.

**Syntax**

```csharp
public CMxInternationalizedString (CMxValue v);
```

**Parameters**

**`v`**

[in] CMxValue instance value.

### CMxInternationalizedString Constructor string

Provides a constructor that initializes the class with a string default Value.

**Syntax**

```csharp
public CMxInternationalizedString (string v);
```

**Parameters**

**`v`**

[in] string value.

### CMxInternationalizedString Constructor SupportWrapper, string

Provides a constructor that initializes the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxInternationalizedString (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxInternationalizedString Methods

## GetString Method

## SetString Method

## Set Method

## CMxInternationalizedString Operator Overloads

### CMxValue Operator Overload

Provides an operator that converts from CMxInternationalizedString to CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxInternationalizedString val);
```

**Parameters**

**`val`**

[in] CMxInternationalizedString instance.

**Returns**

CMxValue

### CMxString Operator Overload

Provides an operator that converts from CMxInternationalizedString to CMxString.

**Syntax**

```csharp
public static implicit operator CMxString(CMxInternationalizedString val);
```

**Parameters**

**`val`**

[in] CMxInternationalizedString instance.

**Returns**

CMxString

### string operator Overload

Provides an operator that converts from CMxInternationalizedString to string.

**Syntax**

```csharp
public static implicit operator string(CMxInternationalizedString val);
```

**Parameters**

**`val`**

[in] CMxInternationalizedString instance value.

**Returns**

string

### CMxInternationalizedString Operator Overload CMxString

Provides an operator that converts from CMxString to CMxInternationalizedString.

**Syntax**

```csharp
public static implicit operator CMxInternationalizedString(CMxString val);
```

**Parameters**

**`val`**

[in] CMxString instance value.

**Returns**

CMxInternationalizedString

### CMxInternationalizedString Operator Overload CMxValue

Provides an operator that converts from CMxValue to CMxInternationalizedString.

**Syntax**

```csharp
public static implicit operator CMxInternationalizedString(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value.

**Returns**

CMxInternationalizedString

### CMxInternationalizedString Operator Overload string

Provides an operator that converts from string to CMxInternationalizedString.

**Syntax**

```csharp
public static implicit operator CMxInternationalizedString(string x);
```

**Parameters**

**`x`**

[in] string.

**Returns**

CMxInternationalizedString
